Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596401 - (CVE-2010-1397) CVE-2010-1397 WebKit: use-after-free vulnerabiity when rendering a selection when the layout changes (ZDI-CAN-632)
CVE-2010-1397 WebKit: use-after-free vulnerabiity when rendering a selection ...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 13:42 EDT by Vincent Danen
Modified: 2016-03-04 06:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 13:42:03 EDT
A use after free issue exists in WebKit's rendering of a selection when the layout changes. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of selections.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=32842
Trac: http://trac.webkit.org/changeset/52034, http://trac.webkit.org/changeset/55114

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative as the original reporter.
Comment 6 Jan Lieskovsky 2010-06-08 12:32:23 EDT
Public via:
  [1] http://support.apple.com/kb/HT4196

Note You need to log in before you can comment on or make changes to this bug.